# opentl::core::cvdata::SurfFeatures Class Reference

Inherits opentl::core::cvdata::VisualFeatures.

List of all members.

## Public Member Functions
void | clearData ()
virtual int | dimension () const
void | getKeypoint (std::size_t i, math::Vector2 &keyP)
virtual SurfFeatures & | operator= (const opentl::core::cvdata::CvData &features)
| SurfFeatures ()
virtual | ~SurfFeatures ()
## Public Attributes
opentl::math::SquareMatrix * | homography
| Estimated (3x3) homography (after RANSAC).
std::vector< CvPoint2D32f > | ptImg_inliers
std::vector< CvPoint2D32f > | ptImg_match
std::vector< CvPoint3D32f > | ptObj3D
| 3D points in object space, back-projected from the detected 2D features
std::vector< CvPoint2D32f > | ptObj_inliers
| Matched pairs (after RANSAC) from the other set.
std::vector< int > | ptObj_inliers_indices
| Indices of inliers in the detected vector of this class.
std::vector< CvPoint2D32f > | ptObj_match
| Matched points (before RANSAC) from another keypoint set.
std::vector< int > | ptObj_match_indices
| Indices of inliers in the detected vector of this class.
std::vector< std::vector< float > > | surfDescriptors
std::vector< CvSURFPoint > | surfPoints
| Detected 2D keypoints and descriptors (extracted from the two CvSeq* above).

## Constructor & Destructor Documentation

opentl::core::cvdata::SurfFeatures::SurfFeatures | ( |  | ) |

virtual opentl::core::cvdata::SurfFeatures::~SurfFeatures | ( |  | ) | `[virtual]`

## Member Function Documentation

void opentl::core::cvdata::SurfFeatures::clearData | ( |  | ) |

virtual int opentl::core::cvdata::SurfFeatures::dimension | ( |  | ) | const`[virtual]`

void opentl::core::cvdata::SurfFeatures::getKeypoint | ( | std::size_t | i,
|  | math::Vector2 & | keyP |
| ) |  |  |

virtual SurfFeatures& opentl::core::cvdata::SurfFeatures::operator= | ( | const opentl::core::cvdata::CvData & | features | ) | `[virtual]`

Reimplemented from opentl::core::cvdata::CvData.

## Member Data Documentation

opentl::math::SquareMatrix* opentl::core::cvdata::SurfFeatures::homography

Estimated (3x3) homography (after RANSAC).

std::vector<CvPoint2D32f> opentl::core::cvdata::SurfFeatures::ptImg_inliers

std::vector<CvPoint2D32f> opentl::core::cvdata::SurfFeatures::ptImg_match

std::vector<CvPoint3D32f> opentl::core::cvdata::SurfFeatures::ptObj3D

3D points in object space, back-projected from the detected 2D features

std::vector<CvPoint2D32f> opentl::core::cvdata::SurfFeatures::ptObj_inliers

Matched pairs (after RANSAC) from the other set.

std::vector<int> opentl::core::cvdata::SurfFeatures::ptObj_inliers_indices

Indices of inliers in the detected vector of this class.

std::vector<CvPoint2D32f> opentl::core::cvdata::SurfFeatures::ptObj_match

Matched points (before RANSAC) from another keypoint set.

std::vector<int> opentl::core::cvdata::SurfFeatures::ptObj_match_indices

Indices of inliers in the detected vector of this class.

std::vector<std::vector<float> > opentl::core::cvdata::SurfFeatures::surfDescriptors

std::vector<CvSURFPoint> opentl::core::cvdata::SurfFeatures::surfPoints

Detected 2D keypoints and descriptors (extracted from the two CvSeq* above).